<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.bonus.achieve.mapper.CuMemberRetailDetailMapper">

    <!-- 查询明细数据 -->
    <select id="listMemberRetailDetail" resultType="com.hzs.common.domain.member.achieve.CuMemberRetailDetail">
        select cmrd.*
        from ${retailDetailTableName} cmrd
        where cmrd.pk_member in
        <foreach collection="tmpIdList" item="items" open="(" close=")" separator=",">
            #{items}
        </foreach>
        and cmrd.stage = #{stage}
        and cmrd.stage_status = 1
        order by cmrd.pk_member, cmrd.child_node
    </select>

</mapper>
